Skip to main content
POST
Create a pipeline schedule of an application

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

The application whose connected repository's pipeline is addressed.

Body

application/json
cron
string
required

Five-field cron expression.

timezone
string

IANA time zone the cron is read in.

ref
string

The ref to run.

inputs
object
enabled
boolean

Response

The schedule as created.

A cron schedule that dispatches a repository's pipeline.

id
string<uuid>
required
repository_id
string<uuid>
required
cron
string
required
timezone
string
required
ref
string
required
inputs
object
required
enabled
boolean
required
next_fire_at
string<date-time> | null
required
last_fired_at
string<date-time> | null
required
last_run_id
string<uuid> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required